
Redmine - Defect #11354

Cannot access to some projects after upgrage! 

2012-07-09 18:24 - Pavel Vasilyev

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Page not found

The page you were trying to access doesn't exist or has been removed.

History

#1 - 2012-07-09 18:39 - Pavel Vasilyev

Rails - 3.2.6

ruby - 1.8.7 (2012-06-29 patchlevel 370) [i686-linux]

redmine - svn revision 9964

1. mysqldump  > REDMINE.sql;

2. copy configuration.yml;

On new server

1. mysql -p  < REDMINE.sql;

CREATE user redmine ...

GRANT ...

DROP table changeset_parents;

flush ...

quit;

2. rake db:migrate RAILS_ENV=production && rake redmine:plugins:migrate RAILS_ENV=production;

3. rake tmp:cache:clear && rake tmp:sessions:clear

4. start redmine;

5. chrome/firefox/opera http://redmine.example.com/projects/oldcoolproj;

Not found

:(

#2 - 2012-07-09 22:10 - Pavel Vasilyev

Here request to this project

Started GET "/projects/poligrafia/files" for 192.168.0.111 at Tue Jul 10 00:05:55 +0400 2012

Processing by FilesController#index as HTML

  Parameters: {"project_id"=>"poligrafia"}

  Rendered files/index.html.erb within layouts/base (4.3ms)

Completed 500 Internal Server Error in 142ms

ActionController::RoutingError (No route matches {:project_id=>#<Project id: 5, name: "Polygraphyia", descript

ion: "", 

homepage: "", is_public: false, parent_id: 3, created_on: "2011-11-15 11:32:10", updated_on: "2012-03-01 14:13

:48", 

identifier: "poligrafia", status: 1, lft: 12, rgt: 13>, :controller=>"roadmaps_main"}):

  lib/redmine/menu_manager.rb:150:in `render_single_menu_node'

  lib/redmine/menu_manager.rb:102:in `render_menu_node'

  lib/redmine/menu_manager.rb:91:in `render_menu'

  lib/redmine/menu_manager.rb:168:in `menu_items_for'

  lib/redmine/menu_manager.rb:165:in `each'

  lib/redmine/menu_manager.rb:165:in `menu_items_for'

  lib/redmine/menu_manager.rb:90:in `render_menu'

  lib/redmine/menu_manager.rb:80:in `render_main_menu'
http://redmine.example.com/projects/oldcoolproj;


  app/views/layouts/base.html.erb:51:in `_app_views_layouts_base_html_erb___17007167__622524898'

  app/controllers/files_controller.rb:36:in `index'

#3 - 2012-07-09 23:34 - Pavel Vasilyev

BUG Detected!

Plugin redmine_roadmaps

#4 - 2012-07-09 23:43 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for the feedback =)

#5 - 2012-07-10 00:00 - Pavel Vasilyev

Etienne Massip wrote:

Thank you for the feedback =)

 Always a pleasure to talk with an intelligent man. :D

Resend bug to readmaps github - https://github.com/daipresents/redmine_roadmaps/issues/9

#6 - 2012-07-10 00:03 - Pavel Vasilyev

Oops,  rOadmaps
